Subject: Re: bug#22669: loading term/xterm.elc loads cl-lib at runtime

From: Glenn Morris <[email-masked]>
Date: Tue, 16 Feb 2016 01:34:10 -0500

Eli Zaretskii wrote:

> these files are only loaded at startup when needed, so they are not
> something "emacs -Q" "needs".

term/xterm is needed in 90+% of -nw or without-X builds on GNU/Linux.
(Pulling a reasonable number from the air. All the terminal emulators
people actually use load term/xterm.)
So IME that counts as "effectively preloaded" and therefore makes this
something worth fixing.